with STM32.General_Purpose_IOs, STM32.Reset_and_Clock;
use  STM32.General_Purpose_IOs, STM32.Reset_and_Clock;

package Board is

	LED_Port   : GPIO_Registers renames GPIOD;
	LED_Bit    : constant Port_Bit_Number := 3;
	LED_On     : constant Boolean := False;

	LED_RCC_EN : Boolean renames RCC.AHB1ENR (Index.GPIOD);

	APB2_Frequency : constant := 84_000_000; -- Set by board support
end Board;